

exports.seed = async function(knex, Promise) {
    // Deletes ALL existing entries
    await knex('groups').del(); 
    await knex('simplegroups').del();
    // Inserts seed entries
    const simple_groups = [{
        gid: 'br',
        frontPage: 'Le Binet Réseau est responsable du réseau internet des élèves sur le campus de l\'Ecole polytechnique.',
        type : 'simple'
    },{
        gid: 'jtx',
        frontPage: "Le Journal Télévisé de l'X te fait revivre les évènements promo en images et expose régulièrement ses créations.",
        type : 'simple'
    },{
        gid: 'faerix',
        frontPage: "Faërix est le binet de jeux de l'école : jeux de cartes, de plateau, de rôles... Le binet organise chaque année, sur un week-end, une convention de jeux de rôles, les Rencontres Rôlistes de l'X.",
        type : 'simple'
    },{
        gid: 'bobar',
        frontPage: "Le bar de l'École polytechnique, tenu par et pour les X. Le BôBar t'enkhûle avec affection",
        type : 'simple'
    },{
        gid: 'kes',
        frontPage: "La Kès est le bureau des élèves de l'école, constitué de 16 kessiers élus par la promotion. Son local est ouvert de 12h30 à 22h30 tous les jours de la semaine (vendredi jusqu'à 18h15), et se trouve à l'entrée Est du Bataclan. Pour plus d'infos : consultez le Wikix ou téléphonez au 2726 pour faire un gros bisou à Mina et Zaza",
        type : 'simple'
    },{
        gid: 'wikix',
        frontPage: "Le recueil de la mémoire des élèves",
        type: "simple",
    },{
        gid: "x-chine",
        frontPage: `X-Chine est le binet qui rassemble les amoureux et les curieux de l'Empire du Milieu, qu'ils soient chinois ou non !`,
        type: "simple"
    },{
        gid: 'subaisse',
        frontPage: 'Le Binet de ceux qui subissent',
        type : 'simple'
    },{
        gid: 'xbroadway',
        frontPage: "Créé par la promotion 2012, le binet X-Broadway prépare pendant une année une comédie musicale qu'il joue durant le tronc commun de la promo suivante. Chaque année, le bureau est composé de multiples pôles : comédie, danse, manute, musique, et prez'. Une fois le bureau constitué, il recrute sa troupe parmi les étudiants du plateau de Saclay.",
        type: 'simple'
    },{
        gid: 'oenologie',
        frontPage: "Le binet de la Finesse et du Bon Goût par excellence. Cours d'initiation, dégustations, soirées Vins & Fromages, voyages chez les producteurs : le Binet Œnologie est là pour partager la passion du vin avec tous, néophytes ou connaisseurs.",
        type: "simple"
    },{
        gid: 'politix',
        frontPage: "Le binet Tribunes de l'X a pour but d'intéresser les élèves à la \"vie de la cité\" en organisant des conférences ou débats, autour de grandes sujets d'actualité et d'enjeux fondamentaux pour le débat public, avec des personnalités diverses, hommes politiques ou intellectuels. Cette association est la tribune étudiante de l'X.",
        type: 'simple'
    },{
        gid: 'x-finance',
        frontPage: "X Finance gère un fonds d'investissement étudiant au profit de la FX en partenariat avec Edmond de Rothschild. Nous développons également des modèles algorithmiques pour gérer le risque. Le binet organise également des événements de networking en partenariat avec des écoles françaises et européeennes.",
        type: "simple"
    },{
        gid: "ask",
        frontPage: "L'Action Sociale de la Kès regroupe les activités à caractère social et solidaire du platâl, comme le soutien scolaire, la bibliothèque de rue, les maraudes, le don du sang, les journées handicap ou encore le parrainage d'enfants. Chacun y trouvera son compte et pourra s'y investir à sa guise! Si tu as l'âme de l'Abbé Pierre ou le sex appeal d'Adriana Karembeu, chauffe toi et viens donner un peu de ton temps aux autres! Promis, on est gentils. Des bisous bisous!",
        type: "simple"
    }

    ];

    await knex('groups').insert(simple_groups.map(gr => { 
        return {gid: gr.gid, type: gr.type}; 
    }));
    await knex('simplegroups').insert(simple_groups.map(gr => {
        return { gid: gr.gid, frontPage: gr.frontPage };
    }));
    console.log("finished running 01_dummy_simplegroups");
    
};
